
Redmine - Defect #4761

Sub-projects are always displayed on the roadmap

2010-02-08 11:02 - Yuki Kita

Status: Closed Start date: 2010-02-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version: 0.9.1

Description

I found a bug that the issues of the sub-projects are always displayed on the roadmap, regardless of any

settings(params[:with_subprojects], Setting.display_subprojects_issues?).

So I tried to write the following patch to resolve the bug.

redmine 0.9.1/trunk

ruby 1.8.6

sqlite3

Regards

Associated revisions

Revision 3408 - 2010-02-10 22:29 - Jean-Philippe Lang

Fixed: roadmap show subprojects issues even if subprojects is unchecked (#4761).

History

#1 - 2010-02-10 22:20 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.3

- Resolution set to Fixed

Fixed in r3408.

#2 - 2010-02-14 16:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3431.

Files

projects_controller.rb.diff 869 Bytes 2010-02-08 Yuki Kita
